GWT 2.7.0

## com.google.gwt.util.regexfilter
Class RegexFilter

    java.lang.Object
      com.google.gwt.util.regexfilter.RegexFilter

    public abstract class RegexFilter

extends java.lang.Object

This class implements filters that are configured with a sequence of regexes. Each regex in the sequence can be preceded by a + or a - to indicate whether it indicates that queries matching the regex should be included or excluded. Concrete subclasses indicate the default behaviors by overriding `acceptByDefault()` and `entriesArePositiveByDefault()`.

Constructor Summary
`RegexFilter(TreeLogger logger, java.util.List<java.lang.String> values)`

Method Summary
`protected abstract boolean` | `acceptByDefault()` If no pattern matches, whether the query should be considered as an accept.
`protected abstract boolean` | `entriesArePositiveByDefault()` If a pattern is not preceded by + or -, whether the query should be considered positive.
`boolean` | `isIncluded(TreeLogger logger, java.lang.String query)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexFilter

    public RegexFilter(TreeLogger logger,
                       java.util.List<java.lang.String> values)
                throws UnableToCompleteException

Throws:
  `UnableToCompleteException`

Method Detail

### isIncluded

    public boolean isIncluded(TreeLogger logger,
                              java.lang.String query)

### acceptByDefault

    protected abstract boolean acceptByDefault()

  If no pattern matches, whether the query should be considered as an accept.

### entriesArePositiveByDefault

    protected abstract boolean entriesArePositiveByDefault()

  If a pattern is not preceded by + or -, whether the query should be considered positive.

GWT 2.7.0